Package org.eclipse.net4j.util.ui.views

# Enum Class MultiViewersView.MessageType

java.lang.Object
java.lang.Enum<MultiViewersView.MessageType>
org.eclipse.net4j.util.ui.views.MultiViewersView.MessageType

All Implemented Interfaces:
  `Serializable`, `Comparable<MultiViewersView.MessageType>`, `Constable`

Enclosing class:
  `MultiViewersView`

protected static enum MultiViewersView.MessageType extends Enum<MultiViewersView.MessageType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONFIRM`
`ERROR`
`INFORMATION`
`QUESTION`
`WARNING`

## Method Summary

Modifier and Type
Method
Description
`static MultiViewersView.MessageType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MultiViewersView.MessageType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INFORMATION

public static final MultiViewersView.MessageType INFORMATION

### ERROR

public static final MultiViewersView.MessageType ERROR

### WARNING

public static final MultiViewersView.MessageType WARNING

### CONFIRM

public static final MultiViewersView.MessageType CONFIRM

### QUESTION

public static final MultiViewersView.MessageType QUESTION

## Method Details

### values

public static MultiViewersView.MessageType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MultiViewersView.MessageType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null